Loading...
Searching...
No Matches
pcl::registration::DataContainerInterface Class Referenceabstract
Module registration

DataContainerInterface provides a generic interface for computing correspondence scores between correspondent points in the input and target clouds More...

`#include <pcl/registration/correspondence_rejection.h>`

Inheritance diagram for pcl::registration::DataContainerInterface:

## Public Types

using | Ptr = shared_ptr< DataContainerInterface >
using | ConstPtr = shared_ptr< const DataContainerInterface >

## Public Member Functions

virtual | ~DataContainerInterface ()=default
virtual double | getCorrespondenceScore (int index)=0
virtual double | getCorrespondenceScore (const pcl::Correspondence &)=0
virtual double | getCorrespondenceScoreFromNormals (const pcl::Correspondence &)=0

## Detailed Description

DataContainerInterface provides a generic interface for computing correspondence scores between correspondent points in the input and target clouds

Definition at line 215 of file correspondence_rejection.h.

## Member Typedef Documentation

## ConstPtr

using pcl::registration::DataContainerInterface::ConstPtr = shared_ptr<const DataContainerInterface>

Definition at line 218 of file correspondence_rejection.h.

## Ptr

using pcl::registration::DataContainerInterface::Ptr = shared_ptr<DataContainerInterface>

Definition at line 217 of file correspondence_rejection.h.

## Constructor & Destructor Documentation

## ~DataContainerInterface()

virtual pcl::registration::DataContainerInterface::~DataContainerInterface | ( |  | ) |

virtual default

## Member Function Documentation

## getCorrespondenceScore() [1/2]

virtual double pcl::registration::DataContainerInterface::getCorrespondenceScore | ( | const pcl::Correspondence & |  | ) |

pure virtual

Implemented in pcl::registration::DataContainer< PointT, NormalT >.

## getCorrespondenceScore() [2/2]

virtual double pcl::registration::DataContainerInterface::getCorrespondenceScore | ( | int | index | ) |

pure virtual

Implemented in pcl::registration::DataContainer< PointT, NormalT >.

## getCorrespondenceScoreFromNormals()

virtual double pcl::registration::DataContainerInterface::getCorrespondenceScoreFromNormals | ( | const pcl::Correspondence & |  | ) |

pure virtual

Implemented in pcl::registration::DataContainer< PointT, NormalT >.

The documentation for this class was generated from the following file:

- pcl/registration/correspondence_rejection.h